Bug 18061 - Enhance items page (moredetail.pl) with Bootstrap 3 panels
Summary: Enhance items page (moredetail.pl) with Bootstrap 3 panels
Status: Patch doesn't apply
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Josef Moravec
QA Contact: Testopia
URL:
Keywords:
Depends on: 16239
Blocks:
  Show dependency treegraph
 
Reported: 2017-02-06 08:43 UTC by Josef Moravec
Modified: 2018-12-05 06:37 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 18061: Restyle catalogue moredetail page (22.33 KB, patch)
2017-02-06 08:48 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 18061: Restyle catalogue moredetail page (22.39 KB, patch)
2017-02-08 08:35 UTC, Claire Gravely
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Josef Moravec 2017-02-06 08:43:05 UTC

    
Comment 1 Josef Moravec 2017-02-06 08:48:53 UTC Comment hidden (obsolete)
Comment 2 Claire Gravely 2017-02-08 08:35:23 UTC
Created attachment 60005 [details] [review]
Bug 18061: Restyle catalogue moredetail page

Test plan:
0) apply the patch
1) go to items page on any of catalogue record (catalogue/moredetail.pl)
2) confirm the new fancy bootstrap panels and the basic biblio
information in table
3) login with user with cataloguing perrmisions and tryy to edit item, change statuses, add/update notes, it should all work as before patch
4) login with user withou cataloguing permission - you should not see the edit links and form

Signed-off-by: Claire Gravely <claire_gravely@hotmail.com>
Comment 3 Jonathan Druart 2017-02-09 13:26:34 UTC
Sounds good to me, but I'd like more signoff on this one.
Owen maybe? :)
Comment 4 Owen Leonard 2017-02-09 18:26:44 UTC
If I were approaching this interface and thinking to myself that it needed to be improved, I'd ask myself some questions:

1. What are the problems with it the way it is? Is it not readable enough? Are the controls not usable in some way.
2. Based on the problems identified in step 1, what are some ways to directly address them?
3. If this interface follows a pattern which is used in other areas of Koha can we easily apply the new style to those places? If not, can we find a way to adjust the new version to be more universal?

I don't find this to be more readable. It also doesn't handle a smaller browser window size very nicely. I feel like this is a change for change's sake rather than a change which accomplishes a goal.
Comment 5 Sarah Kirby 2017-09-28 23:16:41 UTC
Bug 18061 - Enhance items page (moredetail.pl) with Bootstrap 3 panels

60005 - Bug 18061: Restyle catalogue moredetail page

Apply? [(y)es, (n)o, (i)nteractive] y
Applying: Bug 18061: Restyle catalogue moredetail page
Using index info to reconstruct a base tree...
M	koha-tmpl/intranet-tmpl/prog/css/staff-global.css
M	koha-tmpl/intranet-tmpl/prog/en/modules/catalogue/moredetail.tt
Falling back to patching base and 3-way merge...
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/catalogue/moredetail.tt
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/modules/catalogue/moredetail.tt
Auto-merging koha-tmpl/intranet-tmpl/prog/css/staff-global.css
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/css/staff-global.css
Failed to merge in the changes.
Patch failed at 0001 Bug 18061: Restyle catalogue moredetail page
The copy of the patch that failed is found in:
   /home/vagrant/kohaclone/.git/rebase-apply/patch
When you have resolved this problem run "git bz apply --continue".
If you would prefer to skip this patch, instead run "git bz apply --skip".
To restore the original branch and stop patching run "git bz apply --abort".
Patch left in /tmp/Bug-18061-Restyle-catalogue-moredetail-page-ctght0.patch